logo
down
shadow

Polymer app-router Cordova support


Polymer app-router Cordova support

By : Mark Jarrell
Date : November 19 2020, 01:01 AM
will be helpful for those in need The issue came down to different platforms using different folder structures following this pattern file://**/www/index.html.
You can solve it by creating 2 routes for the main page like this.
code :
<app-router>
  <app-route path="/" import="pages/home-page.html"></app-route>
  <app-route path="/**/www/index.html" import="pages/home-page.html"></app-route>
  <app-route path="*" import="pages/not-found.html"></app-route>
</app-router>


Share : facebook icon twitter icon
Polymer on Cordova

Polymer on Cordova


By : Anibal Gunzalez
Date : March 29 2020, 07:55 AM
help you fix your problem I got it working with Android 4.4. I've heard rumors you can use Crosswalk to get it working with earlier versions of Android.
I made a tutorial of my Polymer Cordova project here:
Cordova CLI 5.0.0: Does Cordova CLI 5.0.0 support specifying a custom activity name

Cordova CLI 5.0.0: Does Cordova CLI 5.0.0 support specifying a custom activity name


By : user3523123
Date : March 29 2020, 07:55 AM
seems to work fine I find a way to specify the activity name, adding attribute "android-activityName='YOUR_ACTIVITY_NAME'" into tag in /projectpath/config.xml.
Polymer with Cordova

Polymer with Cordova


By : redboy1972
Date : March 29 2020, 07:55 AM
this one helps. I was able to find the solution. Apparently they got rid of pvc-globals and moved to using something called Behaviors as outlined in the migration guide. And for the file error, the routing file was being referenced incorrectly.
cordova-plugin-console doesn't support this project's cordova-ios version

cordova-plugin-console doesn't support this project's cordova-ios version


By : Cüneyt Eşsiz
Date : March 29 2020, 07:55 AM
fixed the issue. Will look into that further You simply need to uninstall cordova-plugin-console. Check cordova-ios 4.5.0 release here.
code :
ionic cordova plugin remove cordova-plugin-console
Polymer 2 and Cordova

Polymer 2 and Cordova


By : Ridam Upadhyay
Date : March 29 2020, 07:55 AM
I hope this helps . The problem is the Polymer 2 HTML Imports don't work on iOS < 10.3. To make it work you need a Polyfill.
See the Polymer 2 support chart.
shadow
Privacy Policy - Terms - Contact Us © ourworld-yourmove.org